org.codehaus.groovy.util

## Class FastArray

- java.lang.Object
- - org.codehaus.groovy.util.FastArray

- All Implemented Interfaces:
    Cloneable

      public class FastArray
      extends Object
      implements Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FastArray` | `EMPTY_LIST`
    `int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastArray()`
    `FastArray(Collection c)`
    `FastArray(int initialCapacity)`
    `FastArray(Object[] objects)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object o)`
    `void` | `addAll(FastArray newData)`
    `void` | `addAll(List coll)`
    `void` | `addAll(Object[] newData, int size)`
    `void` | `clear()`
    `FastArray` | `copy()`
    `Object` | `get(int index)`
    `Object[]` | `getArray()`
    `boolean` | `isEmpty()`
    `void` | `remove(int index)`
    `void` | `set(int index, Object o)`
    `int` | `size()`
    `List` | `toList()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### size

          public int size

    - #### EMPTY_LIST

          public static final FastArray EMPTY_LIST

  - ### Constructor Detail

    - #### FastArray

          public FastArray(int initialCapacity)

    - #### FastArray

          public FastArray()

    - #### FastArray

          public FastArray(Collection c)

    - #### FastArray

          public FastArray(Object[] objects)

  - ### Method Detail

    - #### get

          public Object get(int index)

    - #### add

          public void add(Object o)

    - #### set

          public void set(int index,
                 Object o)

    - #### size

          public int size()

    - #### clear

          public void clear()

    - #### addAll

          public void addAll(FastArray newData)

    - #### addAll

          public void addAll(Object[] newData,
                    int size)

    - #### copy

          public FastArray copy()

    - #### isEmpty

          public boolean isEmpty()

    - #### addAll

          public void addAll(List coll)

    - #### remove

          public void remove(int index)

    - #### toList

          public List toList()

    - #### getArray

          public Object[] getArray()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`